<!-- 배송요청사항수정 팝업 -->
<div class="modal-header">
	<h5 class="modal-title" id="rqstModifyLabel">배송요청 사항</h5>
</div>
<div class="modal-body">
	<div class="pop_cont">
		<form class="form_wrap form_full" name="deliveryAddrMemoForm" id="deliveryAddrMemoForm">
			<div class="area_request">
				<div class="form_field">
					<div>
						<input type="radio" name="rdi-request3" id="rdi-request31">
						<label for="rdi-request31"><span>문 앞</span></label>
					</div>
					<div>
						<input type="radio" name="rdi-request3" id="rdi-request32">
						<label for="rdi-request32"><span>직접 받고 부재 시 문 앞</span></label>
					</div>
					<div>
						<input type="radio" name="rdi-request3" id="rdi-request33">
						<label for="rdi-request33"><span>경비실</span></label>
					</div>
					<div>
						<input type="radio" name="rdi-request3" id="rdi-request34">
						<label for="rdi-request34"><span>택배함</span></label>
					</div>
					<div>
						<input type="radio" name="rdi-request3" id="rdi-request35">
						<label for="rdi-request35"><span>기타사항</span></label>
						<div class="info_box">
							<div class="input_wrap">
								<input type="text" name="delvMemoText" class="form_control" maxlength="30" placeholder="보관장소만 입력 (필수)" disabled>
								<p>보관 장소 외 다른 내용 입력시 통보없이 삭제 될 수 있습니다.</p>
							</div>
						</div>
					</div>
				</div>
			</div>
		</form>
	</div>
</div>
<div class="modal-footer">
    <button type="button" id="btn_delvMemoChange" class="btn btn_dark"><span>등록</span></button>
</div>

<script th:inline="javascript">
var delvMemo				= [[${delvMemo}]];				// 로그인여부

// 초기배송메모설정
$(document).ready( function() {
	var delvMemoArr = ["문 앞", "직접 받고 부재 시 문 앞", "경비실", "택배함"];
	var tempMemo = true;
	
	// 배송요청사항설정
	for (i=0 ; i<delvMemoArr.length ; i++) {
		if (delvMemoArr[i] == delvMemo) {
			tempMemo = false;
		}
	}
	
	if (tempMemo) {
		$("#deliveryAddrMemoForm input[name=rdi-request3]").eq(4).attr("checked", true);
		$("#deliveryAddrMemoForm input[name=delvMemoText]").attr("disabled", false);
		$("#deliveryAddrMemoForm input[name=delvMemoText]").val(delvMemo);
	}
	
	$("#deliveryAddrMemoForm input[name=rdi-request3]").each(function(){
		var temp = $(this).parent().find('span').text();
		if (delvMemo == temp) {
			$(this).attr("checked", true);
		}
	});
	
	// 배송요청사항 버튼기능
	$("#deliveryAddrMemoForm input[name=rdi-request3]").each(function(){
		// 버튼기능
		$(this).on("click", function(){
			var temp = $(this).parent().find('span').text();
			$("#deliveryAddrMemoForm input[name=delvMemoText]").val("");
			if (temp == "기타사항") {
				$("#deliveryAddrMemoForm input[name=delvMemoText]").attr("disabled", false);
			} else {
				$("#deliveryAddrMemoForm input[name=delvMemoText]").attr("disabled", true);
			}
		});
	});
	
	// 배송메모등록버튼
	$("#btn_delvMemoChange").on("click", function(){
		var rtnTxt = $("#deliveryAddrMemoForm input[name='rdi-request3']:checked").parent().find('span').text();
		if (rtnTxt == "기타사항") {
			rtnTxt = $("#deliveryAddrMemoForm input[name='delvMemoText']").val();
		} 
		
		// 2021.04.29 추가
		if (gagajf.isNull(rtnTxt)) {
			mcxDialog.alert("기타사항을 입력해주세요.");
			$("#deliveryAddrMemoForm input[name='delvMemoText']").focus();
			return false;
		}

		// 배송메모 부모창에 설정
		if (typeof fnChangeDelvMemo === 'function') {
			fnChangeDelvMemo(rtnTxt);
		}
		
		var delvMemoObj = {
			"delvMemo" : rtnTxt
		}
		
		delvMemoSet(delvMemoObj);

		$(".close-modal").trigger("click");						// 팝업닫기
	});
});
</script>
<!-- //배송요청사항수정 팝업 -->









